osgUtil::IntersectionVisitor Class Reference

`#include <IntersectionVisitor>`

Inheritance diagram for osgUtil::IntersectionVisitor:

## Classes

struct | ReadCallback

## Public Types

enum | LODSelectionMode { USE_HIGHEST_LEVEL_OF_DETAIL , USE_EYE_POINT_FOR_LOD_LEVEL_SELECTION }
Public Types inherited from osg::NodeVisitor
enum | TraversalMode { TRAVERSE_NONE , TRAVERSE_PARENTS , TRAVERSE_ALL_CHILDREN , TRAVERSE_ACTIVE_CHILDREN }
enum | VisitorType { NODE_VISITOR = 0 , UPDATE_VISITOR , EVENT_VISITOR , COLLECT_OCCLUDER_VISITOR , CULL_VISITOR , INTERSECTION_VISITOR }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| IntersectionVisitor (Intersector *intersector=0, ReadCallback *readCallback=0)
| META_NodeVisitor (osgUtil, IntersectionVisitor) virtual osgUtil
virtual const osgUtil::IntersectionVisitor * | asIntersectionVisitor () const
virtual void | reset ()
void | setIntersector (Intersector *intersector)
Intersector * | getIntersector ()
const Intersector * | getIntersector () const
void | setUseKdTreeWhenAvailable (bool useKdTrees)
bool | getUseKdTreeWhenAvailable () const
void | setDoDummyTraversal (bool dummy)
bool | getDoDummyTraversal () const
void | setReadCallback (ReadCallback *rc)
ReadCallback * | getReadCallback ()
const ReadCallback * | getReadCallback () const
void | pushWindowMatrix (osg::RefMatrix *matrix)
void | pushWindowMatrix (osg::Viewport *viewport)
void | popWindowMatrix ()
osg::RefMatrix * | getWindowMatrix ()
const osg::RefMatrix * | getWindowMatrix () const
void | pushProjectionMatrix (osg::RefMatrix *matrix)
void | popProjectionMatrix ()
osg::RefMatrix * | getProjectionMatrix ()
const osg::RefMatrix * | getProjectionMatrix () const
void | pushViewMatrix (osg::RefMatrix *matrix)
void | popViewMatrix ()
osg::RefMatrix * | getViewMatrix ()
const osg::RefMatrix * | getViewMatrix () const
void | pushModelMatrix (osg::RefMatrix *matrix)
void | popModelMatrix ()
osg::RefMatrix * | getModelMatrix ()
const osg::RefMatrix * | getModelMatrix () const
void | setReferenceEyePoint (const osg::Vec3 &ep)
const osg::Vec3 & | getReferenceEyePoint () const
void | setReferenceEyePointCoordinateFrame (Intersector::CoordinateFrame cf)
Intersector::CoordinateFrame | getReferenceEyePointCoordinateFrame () const
virtual osg::Vec3 | getEyePoint () const
void | setLODSelectionMode (LODSelectionMode mode)
LODSelectionMode | getLODSelectionMode () const
virtual float | getDistanceToEyePoint (const osg::Vec3 &pos, bool withLODScale) const
virtual void | apply (osg::Node &node)
virtual void | apply (osg::Drawable &drawable)
virtual void | apply (osg::Geode &geode)
virtual void | apply (osg::Billboard &geode)
virtual void | apply (osg::Group &group)
virtual void | apply (osg::LOD &lod)
virtual void | apply (osg::PagedLOD &lod)
virtual void | apply (osg::Transform &transform)
virtual void | apply (osg::Projection &projection)
virtual void | apply (osg::Camera &camera)
Public Member Functions inherited from osg::NodeVisitor
| NodeVisitor (TraversalMode tm=TRAVERSE_NONE)
| NodeVisitor (VisitorType type, TraversalMode tm=TRAVERSE_NONE)
| NodeVisitor (const NodeVisitor &nv, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~NodeVisitor ()
| META_Object (osg, NodeVisitor) virtual NodeVisitor *asNodeVisitor()
virtual const NodeVisitor * | asNodeVisitor () const
virtual osgUtil::UpdateVisitor * | asUpdateVisitor ()
virtual const osgUtil::UpdateVisitor * | asUpdateVisitor () const
virtual osgUtil::CullVisitor * | asCullVisitor ()
virtual const osgUtil::CullVisitor * | asCullVisitor () const
virtual osgGA::EventVisitor * | asEventVisitor ()
virtual const osgGA::EventVisitor * | asEventVisitor () const
virtual osgUtil::IntersectionVisitor * | asIntersectionVisitor ()
virtual osg::CullStack * | asCullStack ()
virtual const osg::CullStack * | asCullStack () const
void | setVisitorType (VisitorType type)
VisitorType | getVisitorType () const
void | setTraversalNumber (unsigned int fn)
unsigned int | getTraversalNumber () const
void | setFrameStamp (FrameStamp *fs)
const FrameStamp * | getFrameStamp () const
void | setTraversalMask (Node::NodeMask mask)
Node::NodeMask | getTraversalMask () const
void | setNodeMaskOverride (Node::NodeMask mask)
Node::NodeMask | getNodeMaskOverride () const
bool | validNodeMask (const osg::Node &node) const
void | setTraversalMode (TraversalMode mode)
TraversalMode | getTraversalMode () const
void | setValueMap (ValueMap *ps)
ValueMap * | getValueMap ()
const ValueMap * | getValueMap () const
ValueMap * | getOrCreateValueMap ()
void | setValueStack (ValueStack *ps)
ValueStack * | getValueStack ()
const ValueStack * | getValueStack () const
ValueStack * | getOrCreateValueStack ()
void | traverse (Node &node)
void | pushOntoNodePath (Node *node)
void | popFromNodePath ()
NodePath & | getNodePath ()
const NodePath & | getNodePath () const
virtual osg::Vec3 | getViewPoint () const
virtual float | getDistanceFromEyePoint (const Vec3 &, bool) const
virtual float | getDistanceToViewPoint (const Vec3 &, bool) const
virtual void | apply (Geometry &geometry)
virtual void | apply (ProxyNode &node)
virtual void | apply (CoordinateSystemNode &node)
virtual void | apply (ClipNode &node)
virtual void | apply (TexGenNode &node)
virtual void | apply (LightSource &node)
virtual void | apply (CameraView &node)
virtual void | apply (MatrixTransform &node)
virtual void | apply (PositionAttitudeTransform &node)
virtual void | apply (AutoTransform &node)
virtual void | apply (Switch &node)
virtual void | apply (Sequence &node)
virtual void | apply (ClearNode &node)
virtual void | apply (OccluderNode &node)
virtual void | apply (OcclusionQueryNode &node)
void | setDatabaseRequestHandler (DatabaseRequestHandler *handler)
DatabaseRequestHandler * | getDatabaseRequestHandler ()
const DatabaseRequestHandler * | getDatabaseRequestHandler () const
void | setImageRequestHandler (ImageRequestHandler *handler)
ImageRequestHandler * | getImageRequestHandler ()
const ImageRequestHandler * | getImageRequestHandler () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::list< osg::ref_ptr< Intersector > > | IntersectorStack
typedef std::list< osg::ref_ptr< osg::RefMatrix > > | MatrixStack

## Protected Member Functions

bool | enter (const osg::Node &node)
void | leave ()
void | intersect (osg::Drawable *drawable)
void | push_clone ()
void | pop_clone ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

IntersectorStack | _intersectorStack
bool | _useKdTreesWhenAvailable
bool | _dummyTraversal
osg::ref_ptr< ReadCallback > | _readCallback
MatrixStack | _windowStack
MatrixStack | _projectionStack
MatrixStack | _viewStack
MatrixStack | _modelStack
osg::Vec3 | _referenceEyePoint
Intersector::CoordinateFrame | _referenceEyePointCoordinateFrame
LODSelectionMode | _lodSelectionMode
bool | _eyePointDirty
osg::Vec3 | _eyePoint
Protected Attributes inherited from osg::NodeVisitor
VisitorType | _visitorType
unsigned int | _traversalNumber
ref_ptr< FrameStamp > | _frameStamp
TraversalMode | _traversalMode
Node::NodeMask | _traversalMask
Node::NodeMask | _nodeMaskOverride
NodePath | _nodePath
ref_ptr< DatabaseRequestHandler > | _databaseRequestHandler
ref_ptr< ImageRequestHandler > | _imageRequestHandler
osg::ref_ptr< ValueMap > | _valueMap
osg::ref_ptr< ValueStack > | _valueStack
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

IntersectionVisitor is used to testing for intersections with the scene, traversing the scene using generic osgUtil::Intersector's to test against the scene. To implement different types of intersection techniques, one implements custom versions of the osgUtil::Intersector, and then pass the constructed intersector to the IntersectionVisitor.

## Member Typedef Documentation

## IntersectorStack

typedef std::list< osg::ref_ptr<Intersector> > osgUtil::IntersectionVisitor::IntersectorStack

protected

## MatrixStack

typedef std::list< osg::ref_ptr<osg::RefMatrix> > osgUtil::IntersectionVisitor::MatrixStack

protected

## Member Enumeration Documentation

## LODSelectionMode

enum osgUtil::IntersectionVisitor::LODSelectionMode

Enumerator
USE_HIGHEST_LEVEL_OF_DETAIL |
USE_EYE_POINT_FOR_LOD_LEVEL_SELECTION |

## Constructor & Destructor Documentation

## IntersectionVisitor()

osgUtil::IntersectionVisitor::IntersectionVisitor | ( | Intersector * | intersector = 0,
|  | ReadCallback * | readCallback = 0 )

Referenced by META_NodeVisitor().

## Member Function Documentation

## apply() [1/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Billboard & | geode | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [2/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Camera & | camera | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [3/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Drawable & | drawable | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [4/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Geode & | geode | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [5/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Group & | group | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [6/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::LOD & | lod | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [7/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Node & | node | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [8/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::PagedLOD & | lod | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [9/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Projection & | projection | ) |

virtual

Reimplemented from osg::NodeVisitor.

## apply() [10/10]

virtual void osgUtil::IntersectionVisitor::apply | ( | osg::Transform & | transform | ) |

virtual

Reimplemented from osg::NodeVisitor.

## asIntersectionVisitor()

virtual const osgUtil::IntersectionVisitor * osgUtil::IntersectionVisitor::asIntersectionVisitor | ( |  | ) | const

inline virtual

convert 'const this' into a const osgUtil::IntersectionVisitor pointer if Object is a IntersectionVisitor, otherwise return 0. Equivalent to dynamic_cast<const osgUtil::IntersectionVisitor*>(this).

Reimplemented from osg::NodeVisitor.

Referenced by META_NodeVisitor().

## enter()

bool osgUtil::IntersectionVisitor::enter | ( | const osg::Node & | node | ) |

inline protected

References _intersectorStack.

## getDistanceToEyePoint()

virtual float osgUtil::IntersectionVisitor::getDistanceToEyePoint | ( | const osg::Vec3 & | pos,
|  | bool | withLODScale ) const

virtual

Get the distance from a point to the eye point, distance value in local coordinate system. This is calculated using the pseudo-EyePoint (above) when doing LOD calculcations.

Reimplemented from osg::NodeVisitor.

## getDoDummyTraversal()

bool osgUtil::IntersectionVisitor::getDoDummyTraversal | ( |  | ) | const

inline

References _dummyTraversal.

## getEyePoint()

virtual osg::Vec3 osgUtil::IntersectionVisitor::getEyePoint | ( |  | ) | const

virtual

Get the eye point in the local coordinate frame a given traversal point.

Reimplemented from osg::NodeVisitor.

## getIntersector() [1/2]

Intersector * osgUtil::IntersectionVisitor::getIntersector | ( |  | ) |

inline

Get the intersector that will be used to intersect with the scene, and to store any hits that occur.

References _intersectorStack.

## getIntersector() [2/2]

const Intersector * osgUtil::IntersectionVisitor::getIntersector | ( |  | ) | const

inline

Get the const intersector that will be used to intersect with the scene, and to store any hits that occur.

References _intersectorStack.

## getLODSelectionMode()

LODSelectionMode osgUtil::IntersectionVisitor::getLODSelectionMode | ( |  | ) | const

inline

Get the LOD selection scheme.

References _lodSelectionMode.

## getModelMatrix() [1/2]

osg::RefMatrix * osgUtil::IntersectionVisitor::getModelMatrix | ( |  | ) |

inline

References _modelStack.

## getModelMatrix() [2/2]

const osg::RefMatrix * osgUtil::IntersectionVisitor::getModelMatrix | ( |  | ) | const

inline

References _modelStack.

## getProjectionMatrix() [1/2]

osg::RefMatrix * osgUtil::IntersectionVisitor::getProjectionMatrix | ( |  | ) |

inline

References _projectionStack.

## getProjectionMatrix() [2/2]

const osg::RefMatrix * osgUtil::IntersectionVisitor::getProjectionMatrix | ( |  | ) | const

inline

References _projectionStack.

## getReadCallback() [1/2]

ReadCallback * osgUtil::IntersectionVisitor::getReadCallback | ( |  | ) |

inline

Get the read callback.

References _readCallback.

## getReadCallback() [2/2]

const ReadCallback * osgUtil::IntersectionVisitor::getReadCallback | ( |  | ) | const

inline

Get the const read callback.

References _readCallback.

## getReferenceEyePoint()

const osg::Vec3 & osgUtil::IntersectionVisitor::getReferenceEyePoint | ( |  | ) | const

inline

Get the reference eye point.

References _referenceEyePoint.

## getReferenceEyePointCoordinateFrame()

Intersector::CoordinateFrame osgUtil::IntersectionVisitor::getReferenceEyePointCoordinateFrame | ( |  | ) | const

inline

Get the coordinate frame of the reference eye point.

References _referenceEyePointCoordinateFrame.

## getUseKdTreeWhenAvailable()

bool osgUtil::IntersectionVisitor::getUseKdTreeWhenAvailable | ( |  | ) | const

inline

Set whether the intersectors should use KdTrees.

References _useKdTreesWhenAvailable.

## getViewMatrix() [1/2]

osg::RefMatrix * osgUtil::IntersectionVisitor::getViewMatrix | ( |  | ) |

inline

References _viewStack.

## getViewMatrix() [2/2]

const osg::RefMatrix * osgUtil::IntersectionVisitor::getViewMatrix | ( |  | ) | const

inline

References _viewStack.

## getWindowMatrix() [1/2]

osg::RefMatrix * osgUtil::IntersectionVisitor::getWindowMatrix | ( |  | ) |

inline

References _windowStack.

## getWindowMatrix() [2/2]

const osg::RefMatrix * osgUtil::IntersectionVisitor::getWindowMatrix | ( |  | ) | const

inline

References _windowStack.

## intersect()

void osgUtil::IntersectionVisitor::intersect | ( | osg::Drawable * | drawable | ) |

inline protected

References _intersectorStack.

## leave()

void osgUtil::IntersectionVisitor::leave | ( |  | ) |

inline protected

References _intersectorStack.

## META_NodeVisitor()

osgUtil::IntersectionVisitor::META_NodeVisitor | ( | osgUtil | ,
|  | IntersectionVisitor | )

inline

Convert 'this' into a osgUtil::IntersectionVisitor pointer if Object is a IntersectionVisitor, otherwise return 0. Equivalent to dynamic_cast<osgUtil::IntersectionVisitor*>(this).

References asIntersectionVisitor(), and IntersectionVisitor().

## pop_clone()

void osgUtil::IntersectionVisitor::pop_clone | ( |  | ) |

inline protected

References _intersectorStack.

## popModelMatrix()

void osgUtil::IntersectionVisitor::popModelMatrix | ( |  | ) |

inline

References _eyePointDirty, and _modelStack.

## popProjectionMatrix()

void osgUtil::IntersectionVisitor::popProjectionMatrix | ( |  | ) |

inline

References _eyePointDirty, and _projectionStack.

## popViewMatrix()

void osgUtil::IntersectionVisitor::popViewMatrix | ( |  | ) |

inline

References _eyePointDirty, and _viewStack.

## popWindowMatrix()

void osgUtil::IntersectionVisitor::popWindowMatrix | ( |  | ) |

inline

References _eyePointDirty, and _windowStack.

## push_clone()

void osgUtil::IntersectionVisitor::push_clone | ( |  | ) |

inline protected

References _intersectorStack.

## pushModelMatrix()

void osgUtil::IntersectionVisitor::pushModelMatrix | ( | osg::RefMatrix * | matrix | ) |

inline

References _eyePointDirty, and _modelStack.

## pushProjectionMatrix()

void osgUtil::IntersectionVisitor::pushProjectionMatrix | ( | osg::RefMatrix * | matrix | ) |

inline

References _eyePointDirty, and _projectionStack.

## pushViewMatrix()

void osgUtil::IntersectionVisitor::pushViewMatrix | ( | osg::RefMatrix * | matrix | ) |

inline

References _eyePointDirty, and _viewStack.

## pushWindowMatrix() [1/2]

void osgUtil::IntersectionVisitor::pushWindowMatrix | ( | osg::RefMatrix * | matrix | ) |

inline

References _eyePointDirty, and _windowStack.

## pushWindowMatrix() [2/2]

void osgUtil::IntersectionVisitor::pushWindowMatrix | ( | osg::Viewport * | viewport | ) |

inline

References _eyePointDirty, _windowStack, and osg::Viewport::computeWindowMatrix().

## reset()

virtual void osgUtil::IntersectionVisitor::reset | ( |  | ) |

virtual

Method to call to reset visitor. Useful if your visitor accumulates state during a traversal, and you plan to reuse the visitor. To flush that state for the next traversal: call reset() prior to each traversal.

Reimplemented from osg::NodeVisitor.

## setDoDummyTraversal()

void osgUtil::IntersectionVisitor::setDoDummyTraversal | ( | bool | dummy | ) |

inline

References _dummyTraversal.

## setIntersector()

void osgUtil::IntersectionVisitor::setIntersector | ( | Intersector * | intersector | ) |

Set the intersector that will be used to intersect with the scene, and to store any hits that occur.

## setLODSelectionMode()

void osgUtil::IntersectionVisitor::setLODSelectionMode | ( | LODSelectionMode | mode | ) |

inline

Set the LOD selection scheme.

References _lodSelectionMode.

## setReadCallback()

void osgUtil::IntersectionVisitor::setReadCallback | ( | ReadCallback * | rc | ) |

inline

Set the read callback.

References _readCallback.

## setReferenceEyePoint()

void osgUtil::IntersectionVisitor::setReferenceEyePoint | ( | const osg::Vec3 & | ep | ) |

inline

Set the reference eye point that is used for nodes that require an eye point to position themselves, such as billboards.

References _eyePointDirty, and _referenceEyePoint.

## setReferenceEyePointCoordinateFrame()

void osgUtil::IntersectionVisitor::setReferenceEyePointCoordinateFrame | ( | Intersector::CoordinateFrame | cf | ) |

inline

Set the coordinate frame of the reference eye point.

References _referenceEyePointCoordinateFrame.

## setUseKdTreeWhenAvailable()

void osgUtil::IntersectionVisitor::setUseKdTreeWhenAvailable | ( | bool | useKdTrees | ) |

inline

Set whether the intersectors should use KdTrees when they are found on the scene graph.

References _useKdTreesWhenAvailable.

## Member Data Documentation

## _dummyTraversal

bool osgUtil::IntersectionVisitor::_dummyTraversal

protected

Referenced by getDoDummyTraversal(), and setDoDummyTraversal().

## _eyePoint

osg::Vec3 osgUtil::IntersectionVisitor::_eyePoint

mutable protected

## _eyePointDirty

bool osgUtil::IntersectionVisitor::_eyePointDirty

mutable protected

Referenced by popModelMatrix(), popProjectionMatrix(), popViewMatrix(), popWindowMatrix(), pushModelMatrix(), pushProjectionMatrix(), pushViewMatrix(), pushWindowMatrix(), pushWindowMatrix(), and setReferenceEyePoint().

## _intersectorStack

IntersectorStack osgUtil::IntersectionVisitor::_intersectorStack

protected

Referenced by enter(), getIntersector(), getIntersector(), intersect(), leave(), pop_clone(), and push_clone().

## _lodSelectionMode

LODSelectionMode osgUtil::IntersectionVisitor::_lodSelectionMode

protected

Referenced by getLODSelectionMode(), and setLODSelectionMode().

## _modelStack

MatrixStack osgUtil::IntersectionVisitor::_modelStack

protected

Referenced by getModelMatrix(), getModelMatrix(), popModelMatrix(), and pushModelMatrix().

## _projectionStack

MatrixStack osgUtil::IntersectionVisitor::_projectionStack

protected

Referenced by getProjectionMatrix(), getProjectionMatrix(), popProjectionMatrix(), and pushProjectionMatrix().

## _readCallback

osg::ref_ptr<ReadCallback> osgUtil::IntersectionVisitor::_readCallback

protected

Referenced by getReadCallback(), getReadCallback(), and setReadCallback().

## _referenceEyePoint

osg::Vec3 osgUtil::IntersectionVisitor::_referenceEyePoint

protected

Referenced by getReferenceEyePoint(), and setReferenceEyePoint().

## _referenceEyePointCoordinateFrame

Intersector::CoordinateFrame osgUtil::IntersectionVisitor::_referenceEyePointCoordinateFrame

protected

Referenced by getReferenceEyePointCoordinateFrame(), and setReferenceEyePointCoordinateFrame().

## _useKdTreesWhenAvailable

bool osgUtil::IntersectionVisitor::_useKdTreesWhenAvailable

protected

Referenced by getUseKdTreeWhenAvailable(), and setUseKdTreeWhenAvailable().

## _viewStack

MatrixStack osgUtil::IntersectionVisitor::_viewStack

protected

Referenced by getViewMatrix(), getViewMatrix(), popViewMatrix(), and pushViewMatrix().

## _windowStack

MatrixStack osgUtil::IntersectionVisitor::_windowStack

protected

Referenced by getWindowMatrix(), getWindowMatrix(), popWindowMatrix(), pushWindowMatrix(), and pushWindowMatrix().

The documentation for this class was generated from the following file:

- IntersectionVisitor